### Name: constrain.items
### Title: constrain item parameters in analysis of roll call data
### Aliases: constrain.items
### Keywords: datagen

### ** Examples

## run ideal with the default parameters
data(s109)
## Not run: 
##D ## run a 1d model, look for lack of fit
##D id1 <- ideal(s109,
##D              d=1,
##D              meanzero=TRUE,
##D              store.item=TRUE,
##D              maxiter=1e5,
##D              burnin=1e3,
##D              thin=1e2)  
##D id1sum <- summary(id1,include.beta=TRUE)
##D 
##D suspect1 <- id1sum$bSig[[1]]=="95
##D close60 <- id1sum$bResults[[1]][,"Yea"] < 60
##D close40 <- id1sum$bResults[[1]][,"Yea"] > 40
##D suspect <- suspect1 & close60 & close40
##D id1sum$bResults[[1]][suspect,]
##D suspectVotes <- dimnames(id1sum$bResults[[1]][suspect,])[[1]]
## End(Not run)

## constraints on 2d model,
## close rollcall poorly fit by 1d model
## serves as reference item for 2nd dimension

cl <- constrain.items(s109,
                      x=list("2-150"=c(0,7),
                        "2-169"=c(7,0)),
                      d=2)

## Not run: 
##D id1Constrained <- ideal(s109,
##D                         d=2,
##D                         meanzero=TRUE,
##D                         priors=cl,
##D                         startvals=cl,
##D                         maxiter=1e5,
##D                         burnin=1e3,
##D                         thin=1e2)
##D summary(id1Constrained,include.beta=TRUE)
## End(Not run)




