### Name: constrain.legis
### Title: constrain legislators' ideal points in analysis of roll call
###   data
### Aliases: constrain.legis
### Keywords: datagen

### ** Examples

data(s109)
cl <- constrain.legis(s109,
                      x=list("KENNEDY (D MA)"=-1,
                        "ENZI (R WY)"=1),
                      d=1)

## short run for examples
id1Constrained <- ideal(s109,
                       d=1,
                       priors=cl,      ## use cl
                       startvals=cl,   ## use cl
                       maxiter=500,
                       burnin=100,
                       thin=10)
summary(id1Constrained)

cl2 <- constrain.legis(s109,
                       x=list("KENNEDY (D MA)"=c(-1,0),
                         "ENZI (R WY)"=c(1,0),
                         "CHAFEE (R RI)"=c(0,-.5)),
                       d=2)

## Not run: 
##D ## too long for examples
##D id2Constrained <- ideal(s109,
##D                         d=2,
##D                         priors=cl2,      ## priors (w constraints)
##D                         startvals=cl2,   ## start value (w constraints)
##D                         store.item=TRUE,
##D                         maxiter=5000,
##D                         burnin=500,
##D                         thin=25)
## End(Not run)
## short run for examples
id2Constrained <- ideal(s109,
                        d=2,
                        priors=cl2,      ## priors (w constraints)
                        startvals=cl2,   ## start value (w constraints)
                        store.item=TRUE,
                        maxiter=500,
                        burnin=100,
                        thin=10)
summary(id2Constrained,include.items=TRUE)



