### Name: postProcess
### Title: remap MCMC output via affine transformations
### Aliases: postProcess
### Keywords: models

### ** Examples

data(s109)

## short run for examples
id1 <- ideal(s109,
             d=1,
             meanzero=FALSE,     ## no identification...!
             store.item=TRUE,
             maxiter=500,
             burnin=0,
             thin=10)

id1Local <- postProcess(id1)    ## default is to normalize
summary(id1Local)

id1pp <- postProcess(id1,
                     constraints=list(BOXER=-1,INHOFE=1))
summary(id1Local)

## Not run: 
##D id2 <- ideal(s109,
##D              d=2,
##D              store.item=TRUE,
##D              maxiter=1e4,
##D              burnin=0,
##D              thin=25)
##D 
##D tracex(id2,d=1:2,
##D        legis=c("BOXER","INHOFE","BYRD","CHAFEE","MCCAIN"),
##D        showAll=TRUE)
##D 
##D id2pp <- postProcess(id2,
##D                      constraints=list(BOXER=c(-1,0),
##D                        INHOFE=c(1,0),
##D                        CHAFEE=c(0,.25)))
##D 
##D tracex(id2pp,d=1:2,
##D        legis=c("BOXER","INHOFE","COLLINS","FEINGOLD","COLEMAN",
##D          "CHAFEE","MCCAIN","KYL"),
##D        showAll=TRUE)
## End(Not run)



