### Name: tracex
### Title: trace plot of MCMC iterates, posterior density of legislators'
###   ideal points
### Aliases: tracex
### Keywords: hplot

### ** Examples

data(s109)
## short run for demo purposes only
id1 <- ideal(s109,
             meanzero=TRUE,
             maxiter=500,
             burnin=100,thin=10,
             verbose=TRUE)
tracex(id1,legis="KENN")

## n.b., no such legislator named Horrendous Goblin
tracex(id1,legis=c("KENN","BOX","KYL","Horrendous Goblin"))

## Not run: 
##D id2 <- ideal(s109,
##D              d=2,
##D              maxiter=5000,   ## unidentified!
##D              burnin=0,
##D              thin=50)
##D tracex(id2,d=1,legis=c("KENNEDY","BOXER","KYL","Horrendous Goblin"))
##D tracex(id2,d=2,legis=c("KENNEDY","BOXER","KYL","Horrendous Goblin"))
##D tracex(id2,d=1:2,
##D        legis=c("KENNEDY","BOXER","KYL","Horrendous Goblin"))
##D 
##D ## partial matching
##D tracex(id2,d=1:2,
##D        legis=c("KENN","BOX","BID","SNO","SPEC","MCCA","KYL",
##D                "Horrendous Goblin"),
##D        showAll=TRUE)
## End(Not run)



